<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<div class="dashboard-header">
  <span class="dashboard-header-title">{{'core.title' | translate}}</span>

  <button
    (click)="showOnlyStatementsEditedByMe = !showOnlyStatementsEditedByMe;"
    [class.openk-info]="!showOnlyStatementsEditedByMe"
    class="openk-button openk-chip dashboard-toggle openk-primary">
    {{(showOnlyStatementsEditedByMe ? "dashboard.showAll" : "dashboard.showEditedByMe") | translate }}
  </button>
</div>

<app-side-menu-status
  *ngIf="loading$ | async; else dashboardRef"
  [appLoadingMessage]="'core.loading' | translate"
  [appLoading]="true"
  class="loading">
</app-side-menu-status>

<ng-template #dashboardRef>

  <ng-container *ngFor="let list of config">
    <app-dashboard-list
      *ngIf="list.hasUserRole$ | async"
      [appCaption]="list.caption | translate"
      [appEntries]="list.entries$ | async | getDashboardEntries: showOnlyStatementsEditedByMe : list.forMyDepartment"
      [appShowContributionStatusForMyDepartment]="list.showContributionStatusForMyDepartment"
      [appShowSubCaption]="list.showSubCaption$ | async"
      [appStatementTypeOptions]="statementTypeOptions$ | async"
      [forMyDepartment]="list.forMyDepartment"
      class="dashboard-list">
      <a [routerLink]="'/mail'">
        {{'dashboard.toInbox' | translate}}
      </a>
    </app-dashboard-list>
  </ng-container>

</ng-template>


